Package ru.bitel.bgbilling.modules.smarthouse.server.bean.forpost

# Class ForpostCameraBrandDao

java.lang.Object
ru.bitel.common.dao.AbstarctDaoConstant
ru.bitel.common.dao.AbstractDao<B>
ru.bitel.common.dao.AbstractIdDao<ForpostCameraBrand>
ru.bitel.bgbilling.modules.smarthouse.server.bean.forpost.ForpostCameraBrandDao

All Implemented Interfaces:
  `java.lang.AutoCloseable`, `Directory<ForpostCameraBrand>`

    public class ForpostCameraBrandDao
    extends ru.bitel.common.dao.AbstractIdDao<ForpostCameraBrand>
    implements Directory<ForpostCameraBrand>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

  `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.dao.AbstractDao

  `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, moduleId, orderByPattern, tableName`

  ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `ERROR, fields, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ForpostCameraBrandDao​(java.sql.Connection con, int moduleId)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `doSync​(ForpostCameraBrand[] cameraBrands)` |
  `ForpostCameraBrand` | `get​(java.lang.String title)` | Получение элемента по title(name) Может быть не имплементировано - в этом случае бросается `UnsupportedOperationException`
  `protected ForpostCameraBrand` | `getFromRS​(java.sql.ResultSet rs)` |
  `java.util.List<ForpostCameraBrand>` | `list()` | Получение всего списка элементов из справочника
  `void` | `searchForpostCameraBrands​(SearchResult<ForpostCameraBrand> searchResult)` |
  `protected void` | `updateImpl​(ForpostCameraBrand forpostCameraBrand)` |

  ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

  `delete, get, getAndDelete, getAndUpdate`

  ### Methods inherited from class ru.bitel.common.dao.AbstractDao

  `close, delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, processException, recycle, setStatementParam, update`

  ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `getSQLOrder`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.bgbilling.kernel.directory.api.common.bean.Directory

  `delete, get, update`

- ## Constructor Details

  - ### ForpostCameraBrandDao

    public ForpostCameraBrandDao​(java.sql.Connection con, int moduleId)

- ## Method Details

  - ### get

    public ForpostCameraBrand get​(java.lang.String title) throws ru.bitel.bgbilling.common.BGException
    Description copied from interface: `Directory`
    Получение элемента по title(name) Может быть не имплементировано - в этом случае бросается `UnsupportedOperationException`
    Specified by:
      `get` in interface `Directory<ForpostCameraBrand>`
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### list

    public java.util.List<ForpostCameraBrand> list() throws ru.bitel.bgbilling.common.BGException
    Description copied from interface: `Directory`
    Получение всего списка элементов из справочника
    Specified by:
      `list` in interface `Directory<ForpostCameraBrand>`
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getFromRS

    protected ForpostCameraBrand getFromRS​(java.sql.ResultSet rs) throws java.sql.SQLException, ru.bitel.bgbilling.common.BGException
    Specified by:
      `getFromRS` in class `ru.bitel.common.dao.AbstractDao<ForpostCameraBrand>`
    Throws:
      `java.sql.SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### updateImpl

    protected void updateImpl​(ForpostCameraBrand forpostCameraBrand) throws ru.bitel.bgbilling.common.BGException
    Specified by:
      `updateImpl` in class `ru.bitel.common.dao.AbstractDao<ForpostCameraBrand>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### searchForpostCameraBrands

    public void searchForpostCameraBrands​(SearchResult<ForpostCameraBrand> searchResult) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### doSync

    public void doSync​(ForpostCameraBrand[] cameraBrands) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`